InplaceSelectBaseRenderer.PreparedSelectItem (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.InplaceSelectBaseRenderer.PreparedSelectItem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InplaceSelectBaseRenderer.PreparedSelectItem

    java.lang.Object
      org.richfaces.renderkit.InplaceSelectBaseRenderer.PreparedSelectItem

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

Enclosing class:
  InplaceSelectBaseRenderer

    protected static final class InplaceSelectBaseRenderer.PreparedSelectItem

extends java.lang.Object
implements org.ajax4jsf.javascript.ScriptString

Constructor Summary
`InplaceSelectBaseRenderer.PreparedSelectItem(java.lang.String convertedValue, java.lang.String label)`

Method Summary
`void` | `appendScript(java.lang.StringBuffer functionString)`
`java.lang.String` | `getConvertedValue()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `toScript()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InplaceSelectBaseRenderer.PreparedSelectItem

    public InplaceSelectBaseRenderer.PreparedSelectItem(java.lang.String convertedValue,
                                                        java.lang.String label)

Method Detail

### getLabel

    public java.lang.String getLabel()

### getConvertedValue

    public java.lang.String getConvertedValue()

### appendScript

    public void appendScript(java.lang.StringBuffer functionString)

  Specified by:
    `appendScript` in interface `org.ajax4jsf.javascript.ScriptString`

### toScript

    public java.lang.String toScript()

  Specified by:
    `toScript` in interface `org.ajax4jsf.javascript.ScriptString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.